Skip to content
Account Profile & Status

Retrieve Account Application Information

This interface is used to retrieve the account opening application information for a specified securities account. By providing the account number account_no, it returns the complete account opening details, including the application ID, client type, account type, account status, client name, contact information (phone and email list), as well as the full account opening form data such as document upload info, personal base info, employment info, financial info, compliance info, risk info, identity verification info, and signature info.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/account/open_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

account_nostringRequired

Account Number

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
application_idstringrequired

Account opening application ID. Account opening application ID

client_typestringrequired

Account Open subject type. Account Open subject type

broker_codestringrequired

Broker account. Broker account

account_typestringrequired

Account type. Account type

account_stateobjectrequired

Account state. Account state

client_namestringrequired

Client Name. Client Name

contactobjectrequired

Contact list. Contact list

Child attributes
phonesarray<object>required

Phone list. Phone list

Child attributes
country_codestringrequired

Phone Country Code. Phone Country Code

mobilestringrequired

Phone Number. Phone Number

contact_typeintegerrequired

contact_type

emailsarray<object>required

Email list. Email list

Child attributes
emailstringrequired

Email. Email

open_infoobjectrequired

open_info

Child attributes
baseobjectrequired

base

Child attributes
passport_namestringrequired

Name of master card (Pinyin). Name of master card (Pinyin)

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs